com.sun.messaging.jms.management.server

## Class LogLevel

- java.lang.Object
- - com.sun.messaging.jms.management.server.LogLevel

-     public class LogLevel
      extends java.lang.Object

  Class containing information on log levels

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ERROR` Log level that will allow messages indicating problems that could cause system failure to be logged.
    `static java.lang.String` | `INFO` Log level that will allow reporting of metrics and other informational messages to be logged.
    `static java.lang.String` | `NONE` Turn off logging.
    `static java.lang.String` | `UNKNOWN` Unknown log level
    `static java.lang.String` | `WARNING` Log level that will allow alerts that should be heeded (but will not cause system failure) to be logged.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final java.lang.String UNKNOWN

      Unknown log level
      See Also:
        Constant Field Values

    - #### ERROR

          public static final java.lang.String ERROR

      Log level that will allow messages indicating problems that could cause system failure to be logged.
      See Also:
        Constant Field Values

    - #### WARNING

          public static final java.lang.String WARNING

      Log level that will allow alerts that should be heeded (but will not cause system failure) to be logged.
      See Also:
        Constant Field Values

    - #### INFO

          public static final java.lang.String INFO

      Log level that will allow reporting of metrics and other informational messages to be logged.
      See Also:
        Constant Field Values

    - #### NONE

          public static final java.lang.String NONE

      Turn off logging.
      See Also:
        Constant Field Values

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.